> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Airwallex Integration

> Returns one Airwallex account status (default or by ID) with masked credential flags and beneficiary sync counters.

Required scope: `integrations:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-airwallex-integration
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-airwallex-integration:
    get:
      operationId: getAirwallexIntegration
      summary: Get Airwallex Integration
      x-toku-required-scope: integrations:read
      description: >-
        Returns one Airwallex account status (default or by ID) with masked
        credential flags and beneficiary sync counters.


        Required scope: `integrations:read`
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: airwallexIntegrationID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAirwallexIntegrationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetAirwallexIntegrationResponse:
      type: object
      properties:
        airwallexIntegrationID:
          type:
            - string
            - 'null'
        displayName:
          type:
            - string
            - 'null'
        isDefaultForPayouts:
          type:
            - boolean
            - 'null'
        lifecycle:
          type:
            - string
            - 'null'
        exists:
          type:
            - boolean
            - 'null'
        isEnabled:
          type:
            - boolean
            - 'null'
        isConfigured:
          type:
            - boolean
            - 'null'
        environment:
          type:
            - string
            - 'null'
        clientID:
          type:
            - string
            - 'null'
        accountID:
          type:
            - string
            - 'null'
        loginAs:
          type:
            - string
            - 'null'
        fundingCurrency:
          type:
            - string
            - 'null'
        holdsTransfersForApproval:
          type:
            - boolean
            - 'null'
        hasApiKey:
          type:
            - boolean
            - 'null'
        hasWebhookSecret:
          type:
            - boolean
            - 'null'
        beneficiaryContactCount:
          type:
            - number
            - 'null'
        beneficiaryLastSyncedAt:
          type:
            - 'null'
            - 'null'
        beneficiarySyncInProgress:
          type:
            - boolean
            - 'null'
        updatedAt:
          type:
            - string
            - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
